<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <form name="userForm" ng-submit="vm.updateUser(userForm.$valid, vm.user)" novalidate>
                <div class="row">
                    <div class="col-xs-12 col-md-5 form-group">
                        <label> User`s email</label>
                        <input type="email" name="email" validate-email class="form-control" 
                            placeholder="Enter email" ng-model="vm.user.email" minlength="6"
                            ng-disabled="!checkPermission['EDIT_USER']"
                            required>
                        <ng-messages for="userForm.email.$error" role="alert">
                            <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                        </ng-messages>
                    </div>
                    <div class="col-xs-12 col-md-5 form-group">
                        <label> User`s password</label>
                        <input type="password" name="password" id="password"
                               minlength="6" required maxlength="15"
                               ng-disabled="!checkPermission['EDIT_USER']"
                               ng-model="vm.user.password" class="form-control" 
                               placeholder="Enter Password">
                        <ng-messages for="userForm.password.$error" role="alert">
                            <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                        </ng-messages>
                    </div>
                    <div class="col-xs-2 form-group" style="margin-top: 23px;">
                        <button class="btn btn-primary" type="submit">
                            <i class="fa fa-check"></i>
                            Update
                        </button>
                    </div>
                </div>
            </form>
        </div>
        <div class="ibox-content">
            <div class="row">
                <!--POST_CODE-->
                <div class="col-lg-6 clearfix">
                    <h2>Post codes:</h2>
                    <form name="postCodeForm"
                          class="row"
                          ng-submit="vm.savePostCodes(postCodeForm.$valid, vm.user.postCodes)">
                        <div class="col-lg-12"
                             ng-repeat="item in vm.user.postCodes track by $index">
                            <label>Post code #{{$index + 1}}</label>
                            <div class="input-group">
                                <input name="postCode{{$index}}"
                                       class="form-control"
                                       ng-model="item.code"
                                       ng-pattern="/\d{4}/"
                                       ng-change="vm.changePostCode()"
                                       minlength="4"
                                       maxlength="4"
                                       required/>
                                <span class="input-group-btn">
                                    <button class="btn btn-danger"
                                            type="button"
                                            ng-click="vm.removePostCode($index)">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </span>
                            </div>
                            <ng-messages for="postCodeForm['postCode' + $index].$error" role="alert">
                                <ng-messages-include src="error-messages">...</ng-messages-include>
                            </ng-messages>
                        </div>
                        <div class="col-lg-12">
                            <button class="btn btn-sm btn-info"
                                    type="button"
                                    ng-click="vm.addPostCode()"
                                    ng-if="vm.meta.hasNotMaximumPostCodes">
                                <i class="fa fa-plus"></i> Add
                            </button>
                            <button class="btn btn-sm btn-primary"
                                    type="submit"
                                    ng-if="vm.meta.isPostCodesChanged">
                                <i class="fa fa-save"></i> Save
                            </button>
                        </div>
                    </form>
                </div>
                <!--/POST_CODE-->
                <!--WISH_LIST-->
                <div class="col-lg-6 clearfix">
                    <h2>Wish list:</h2>
                    <div style="min-height: 310px;">
                        <table class="table">
                            <thead>
                            <tr>
                                <th width="10%">Id</th>
                                <th width="30%">Image</th>
                                <th width="30%">Name</th>
                                <th width="20%">Brand</th>
                                <th width="10%"
                                    ng-if="checkPermission['EDIT_USER']">Delete
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="item in vm.wishes | orderBy: item.id">
                                <td ng-bind="item.id"
                                    width="5%"></td>
                                <td width="20%">
                                    <img ng-src="{{item.image}}"
                                         alt="{{item.name}}"
                                         width="30"
                                         height="30"/>
                                </td>
                                <td ng-bind="item.name"
                                    width="35%"></td>
                                <td ng-bind="item.brand"
                                    width="30%"></td>
                                <td width="10%"
                                    ng-if="checkPermission['EDIT_USER']">
                                    <button class="btn btn-sm btn-danger"
                                            ng-click="vm.removeWish($index)">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-sm-12 text-center">
                        <uib-pagination ng-show="vm.wishes_meta.totalCount > vm.wishes_meta.limit"
                                        total-items="vm.wishes_meta.totalCount"
                                        items-per-page="vm.wishes_meta.limit"
                                        max-size="10"
                                        ng-model="vm.wishes_meta.page"
                                        ng-change="vm.readWishes()"></uib-pagination>
                    </div>
                </div>
                <!--/WISH_LIST-->
            </div>
        </div>
        <div class="ibox-content">
            <div class="row">
                <!--SHOPPING_LIST-->
                <div class="col-lg-6 clearfix">
                    <h2>Shopping list:</h2>

                    <div style="min-height: 310px;">
                        <table class="table">
                            <thead>
                            <tr>
                                <th width="20%">Shop Image</th>
                                <th width="20%">Shop Name</th>
                                <th width="30%">Item Name</th>
                                <th width="20%">Price</th>
                                <th width="10%"
                                    ng-if="checkPermission['EDIT_USER']">Delete
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="item in vm.trolley | orderBy: item.id">
                                <td width="10%">
                                    <img ng-src="{{item.choice.shopImage}}"
                                         alt="{{item.choice.shopName}}"
                                         width="30"
                                         height="30"/>
                                </td>
                                <td ng-bind="item.choice.shopName"
                                    width="20%"></td>
                                <td ng-bind="item.name"
                                    width="30%"></td>
                                <td ng-bind="item.choice.isSale? item.choice.salePrice: item.choice.regularPrice"
                                    width="20%"></td>
                                <td width="10%"
                                    ng-if="checkPermission['EDIT_USER']">
                                    <button class="btn btn-sm btn-danger"
                                            ng-click="vm.removeFromTrolley($index)">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-sm-12 text-center">
                        <uib-pagination ng-show="vm.shopping_meta.totalCount > vm.shopping_meta.limit"
                                        total-items="vm.shopping_meta.totalCount"
                                        items-per-page="vm.shopping_meta.limit"
                                        max-size="10"
                                        ng-model="vm.shopping_meta.page"
                                        ng-change="vm.readTrolley()"></uib-pagination>
                    </div>
                </div>
                <!--/SHOPPING_LIST-->
                <!--HISTORY-->
                <div class="col-lg-6 clearfix">
                    <h2>History:</h2>
                    <div style="min-height: 310px;">
                        <table class="table">
                            <thead>
                            <tr>
                                <th width="30%">Name</th>
                                <th width="30%">Brand</th>
                                <th width="20%">Price</th>
                                <th width="20%">Date</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="item in vm.histories | orderBy: item.id">
                                <td ng-bind="item.name"
                                    width="30%">
                                </td>
                                <td ng-bind="item.brand"
                                    width="30%"></td>
                                <td ng-bind="item.isSale? item.salePrice: item.regularPrice"
                                    width="20%"></td>
                                <td ng-bind="item.purchaseDate | date: 'medium'"
                                    width="20%"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="col-sm-12 text-center">
                        <uib-pagination ng-show="vm.history_meta.totalCount > vm.history_meta.limit"
                                        total-items="vm.history_meta.totalCount"
                                        items-per-page="vm.history_meta.limit"
                                        max-size="10"
                                        ng-model="vm.history_meta.page"
                                        ng-change="vm.readHistory()"></uib-pagination>
                    </div>
                </div>
                <!--/HISTORY-->
            </div>
        </div>
    </div>
</div>

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="maxlength">This field is too long!</div>
    <div ng-message="pattern">Invalid post code!</div>
    <div ng-message="email">Email is not correct!</div>
    <div ng-message="password">Password required!</div>
</script>